Name:          jsslutils
Version:       1.0.7
Release:       %mkrel 6
Summary:       Java SSL utilities
# Although the main project is licensed under the New BSD Licence,
# some sub-modules in the extra directory may be under a different licence (APL, LGPL)
# Public Domain see certificates/LICENSE.txt
License:       ASL 2.0 and BSD and LGPLv2+ and Public Domain
URL:           http://code.google.com/p/jsslutils/
# svn export http://jsslutils.googlecode.com/svn/tags/jsslutils-root-1.0.7/ jsslutils-1.0.7
# rm -rf jsslutils-1.0.7/javadoc/*
# rm -rf jsslutils-1.0.7/.gitignore
# find jsslutils-1.0.7/ -name '*.class' -print -delete
# find jsslutils-1.0.7/ -name '*.jar' -print -delete
# tar cJf jsslutils-1.0.7.tar.xz jsslutils-1.0.7
Source0:       %{name}-%{version}.tar.xz
Group:         Development/Java

BuildRequires: java-devel

BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.bouncycastle:bcprov-jdk16)

BuildRequires: maven-local
BuildRequires: maven-plugin-bundle
BuildRequires: maven-remote-resources-plugin

BuildArch:     noarch

%description
This project aims to provide a set of utilities regarding the
use of SSL in Java.

%package test-certificates
Summary:       jSSLutils :: Test certificates

%description test-certificates
These are a few test keys and certificates (password is
'testtest').

%package test-helpers
Summary:       jSSLutils :: Test Helpers

%description test-helpers
Helper classes for some of the tests.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q

# org.jsslutils:jsslutils-test-certificates:2.0.5
%pom_disable_module extra/gsi
# commons-httpclient:commons-httpclient:3.1
%pom_disable_module extra/apachehttpclient

%pom_disable_module extra/apachetomcat5
%pom_disable_module extra/apachetomcat6

%pom_remove_plugin :findbugs-maven-plugin %{name}
%pom_xpath_set "pom:project/pom:dependencies/pom:dependency[pom:groupId = 'org.bouncycastle' ]/pom:artifactId" bcprov-jdk16 %{name}
#%%pom_xpath_set "pom:project/pom:dependencies/pom:dependency[pom:groupId = 'org.bouncycastle' ]/pom:artifactId" bcprov-jdk16 extra/gsi

# java.lang.ClassCastException: org.jsslutils.sslcontext.test.PKIXReloadCrlTest$1$1$1 cannot be cast to javax.net.ssl.HttpsURLConnection
rm -r jsslutils/src/test/java/org/jsslutils/sslcontext/test/DefaultStoreTest.java

%build

%mvn_package :%{name}-root %{name}
%mvn_build -s -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles-%{name}
%dir %{_javadir}/%{name}
%doc jsslutils/LICENSE.txt

%files test-certificates -f .mfiles-%{name}-test-certificates
%doc certificates/LICENSE.txt

%files test-helpers -f .mfiles-%{name}-test-helpers
%doc testhelpers/LICENSE.txt

%files javadoc -f .mfiles-javadoc
%doc jsslutils/LICENSE.txt



%changelog
* Sun Dec 29 2013 dmorgan <dmorgan> 1.0.7-6.mga4
+ Revision: 563188
- Remove tomcat5 support

* Tue Oct 22 2013 umeabot <umeabot> 1.0.5-5.mga4
+ Revision: 545909
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 luigiwalser <luigiwalser> 1.0.5-4.mga4
+ Revision: 501960
- BR maven-local for mvn-rpmbuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0.5-3.mga3
+ Revision: 355643
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 dmorgan <dmorgan> 1.0.5-2.mga3
+ Revision: 343461
- Remove findbugs-maven-plugin deps

* Tue Jan 10 2012 gil <gil> 1.0.5-1.mga2
+ Revision: 194359
- build fix more BR
  tried to build with tomcat6 support
- imported package jsslutils

